Create Serverless Cluster (V2)
Create serverless cluster.
POST/v2/clusters/createServerless
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
📘Notes
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired
The authentication token should be an API key with appropriate privileges.
Example Value: Bearer {{TOKEN}}
Acceptstringheader
Use application/json.
Example Value: application/json
Request Bodyapplication/json
clusterNamestringrequired
Name of the cluster to create.
projectIdstringrequired
ID of the project to which the cluster belongs.
Example Value: proj-xxxxxxxxxxxxxxxxxxxx
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/clusters/createServerless" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "Serverless-05",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxxx",
"regionId": "gcp-us-west1"
}'
Responses200 - application/json
codeinteger
Response code.
dataobject
Response payload.
clusterIdstring
ID of the cluster created.
usernamestring
Name of the cluster administration user.
passwordstring
Password of the cluster administration user. This password is displayed only once when the cluster is created. It is recommended to record it in a secure place for future use.
promptstring
Prompt messages returned.
Returns an error message.
codeinteger
Response code.
messagestring
Error message.
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"username": "db_xxxxxxxx",
"password": "***********",
"prompt": "successfully submitted, cluster is being created. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK with the admin account and the initial password you specified."
}
}